## phosh 0.1.8

=== meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

=== debian/changelog ===
phosh (0.1.8) amber; urgency=medium

  [ Julian Sparber ]
  * Lockscreen: Replace submit btn with unlock btn
  * Fader: fade completely to black on shutdown.
    Closes: #257
  * Fix brightness slider being jumpy while sliding.
    Closes: #258
  * StatusIcon: Introduce base class for status icons
    and use for top panel icons.

  [ Guido Günther ]
  * phosh-system-prompt: Toggle ok button sensitivity.
    Pressing <return> so far caused to send e.g. an empty pin to a smart card
    and we'd rather not run out of retries so require a non empty password.
  * build: Bump version to 0.1.8
  * build: Use libhandy 0.x branch if used as a subproject.
    Closes: #264

  [ Zander Brown ]
  * build: bump glib dep.
    We where using stuff from 2.54 already and buster ships 2.58
  * notifications: seperate the data and widget.
    Move notification information into a seperate class from the banner,
    moving forward this will ease lockscreen/notification drawer
    implementatinon

 -- Guido Günther <agx@sigxcpu.org>  Sat, 08 Feb 2020 13:44:20 +0100

phosh (0.1.7) amber; urgency=medium

  [ Darren R ]
  * Update meson.build to show version 0.1.6

  [ Guido Günther ]
  * phosh.in: Use builtin session handling.
    Until we can rely on a newer gnome-session use the builtin session
    handling everywhere for now instead of systemd. (Closes: #181)
  * gitlab-ci: Build an arm64 deb
  * wifi-manager: Rework connection handling.
    So far we gave up early when the currently active connection did not
    have any devices. It seems this can happen early up in the connection
    process of *new* connections. Hence always redo the device check on
    connection state changes.
  * wifimanager: Consolidate device cleanup.
  * wifimanager: Clean up device state when (de)activating a connection.
    Don't use the device and access point information before we're
    actually associted. Otherwise we show strength information from
    outdated access points. (Closes: #202)
  * lockscreen-manager: Undo rotation when locking the screen.
    This makes sure we don't leave the user with a screen that can't be
    unlocked. (Closes: #73)
  * auth: Drop pin length limitation.  (Closes: #233, #234)
  * network-auth-prompt: Allow to toggle password visibility.
    This makes entering wifi passwords a bit simpler. Inspired by
    GTK4's GtkPasswordEntry.

  [ Julian Sparber ]
  * Lockscreen: add submit button, allows arbitrary pin lengths.
    This also adds the emergency button but for now it is hidden, because
    emergency calls don't work yet.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Jan 2020 15:34:36 +0100

phosh (0.1.6) amber; urgency=medium

  [ Julian Sparber ]
  * Lockscreen: replace HdyDialer with HdyKeypad.
    The new Keypad uses a GtkEntry to store the entered pin/password.
  * Lockscreen: use GcrSecureEntryBuffer for the pin entry.
  * BatteryInfo: drop private data for gobject.
    Since the BatteryInfo is a final it can't be subclassed, therefore it
    doesn't need private data.

  [ Guido Günther ]
  * background: Plug leak
  * home: Plug leak
  * topevel: Avoid NULL check
  * toplevel: Don't leak app_id and title
  * toplevel: Guard handle from being destroyed multiple times
  * wwaninfo: Seperate access tec and signal srength (Closes: #118)
  * top-panel: Adjust label margins.
    Use the same margins as for other text in the top panel.
  * top-panel: Use only right margins.

  [ Darren R ]
  * lockscreen: Use show_symbols False

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 Dec 2019 23:05:07 +0100

phosh (0.1.5) amber; urgency=medium

  [ Guido Günther ]
  * rootston.ini: Drop keyboard config section.
    Not parsed anymore by phoc, uses GSettings now
  * Turn on autorestart.
    Mitigates #212
  * gitlab-ci: Switch to shared gitlab-ci jobs.
    This gives us more tests with less code.
  * debian: Add trivial autopkgtest.
    This makes sure we at least install correctly
  * wifimanager: Don't leak icon name
  * d/control: Depend on the used gsettings schema
  * gitlab-ci: Test pureos against staging.
  * build: Make libhandy dep explicit
  * wwan-mm: Give up if we can't get proxy.
    Just printing a warning is no enough.
  * wwaninfo: Only show wwan icon if a modem is present
    (Closes: #64)

  [ Julian Sparber ]
  * Bump libhandy to 0.0.12

  [ Alexander Mikhaylenko ]
  * lockscreen: Allow mouse dragging for lockscreen.
    See https://source.puri.sm/Librem5/libhandy/merge_requests/344

 -- Guido Günther <agx@sigxcpu.org>  Fri, 13 Dec 2019 17:43:41 +0100

phosh (0.1.4) amber; urgency=medium

  * activity: Add title setter
  * activity: Set app_name on title changes.
    So far we only did this in the constructor.
  * toplevel: Emit signal when properties change.
    So far we emitted signals when a new toplevel shows up. Add
    a signal that is emitted when a already 'configured' toplevel
    gets configured event. This will allow to e.g. check for
    title changes.
  * overview: Adjust title in overview when the toplevel changes title.
    We take a detour via the overview since the link between
    activity and topleve happens there. We can avoid this
    once the activity properly owns the toplevel.
  * tests: Avoid duplicate config target
    otherwise we fail with meson 0.49.
  * gitlab-ci: Build pureos amber package as well
  * panel: Move decision if we need a lang label into one place.
    This makes sure we do the same on input source changes and keyboard
    connect/disconnect.
  * debian/gbp.conf: Sign tags by default

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Nov 2019 17:16:45 +0100

phosh (0.1.3) amber; urgency=medium

  [ Guido Günther ]
  * main: Simplify signal handling
  * main: Handle SIGINT as well.
  * main: Don't initially lock screen when we were started by gdm
  * main: Add -L to force a locked shell.
  * brightness: Fix brightness setting.
  * top-panel: Display current keyboard layout if a keyboard is connected.


=== debian/control ===
Source: phosh
Section: x11
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper (>= 12),
 libsecret-1-dev,
 libgcr-3-dev,
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 libhandy-0.0-dev (>= 0.0.12),
 libnm-dev,
 libpam0g-dev,
 libpolkit-agent-1-dev,
 libpulse-dev,
 libupower-glib-dev,
 libwayland-dev,
 meson,
# to run the tests
 at-spi2-core,
 xvfb,
 xauth,
Standards-Version: 4.1.3
Homepage: https://source.puri.sm/Librem5/phosh

Package: phosh
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fonts-lato,
 gsettings-desktop-schemas,
Recommends:
 gnome-session,
 phoc,
Provides:
 notification-daemon,
 polkit-1-auth-agent,
Description: Pure Wayland shell for mobile devices
 Phosh is a simple shell for Wayland compositors speaking the layer-surface
 protocol. It currently supports
 .
  * a lockscreen
  * brightness control and nighlight
  * the gcr system-prompter interface
  * acting as a polkit auth agent
  * enough of org.gnome.Mutter.DisplayConfig to make gnome-settings-daemon happy
  * a homebutton that toggles a simple favorites menu
  * status icons for battery, wwan and wifi
 .
 If you're not working on a Wayland compositor then this package is likely not
 very useful for you.

Package: phosh-osk-stub
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 librem5-base
Description: OSK stub to fulfil session dependencies
 Phosh's session wants a sm.puri.OSK0. For testing on non-phone's
 this stub fulfills the necessary dependencies.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=_build

override_dh_installsystemd:
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LC_ALL=C.UTF-8 xvfb-run ninja -C _build test
endif

## phosh 0.4.3

=== debian/changelog ===
phosh (0.4.3-2) unstable; urgency=medium

  * Recommend components to run the phosh session.
    Thanks to Bernhard Übelacker (Closes: #968106)
  * d/control: Split gnome-session dependency.
    Directly depend on gnome-session-common and gnome-session-bin so we
    don't add a hard-dependency on gnome-shell and don't pull in GNOMEs
    X11 and Wayland sessions by default.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Aug 2020 09:29:30 +0200

phosh (0.4.3-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream release 0.4.3
  * d/patches: fix build on 32-bit platforms

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 04 Aug 2020 17:06:48 +0200

phosh (0.4.2-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/control: drop Recommends: phoc
    Phoc is now a dependency, it shouldn't appear in the `Recommends:`
    section anymore
  * New upstream version 0.4.2
  * Revert "d/control: drop all references to phoc"
    As phoc v0.4.1 is now in unstable, we can safely depend on it.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sun, 26 Jul 2020 14:32:28 +0200

phosh (0.4.1-1) unstable; urgency=medium

  [ Guido Günther ]
  * debian: Avoid clashes with other xvfb-run instances.
    Pass '-a' to make it pick a port by itself.
  * debian: Build-depend on phoc an gnome-themes-extra-data.
    Phoc is needed for the layer surface tests and gtk complains about lack
    of css without gnome-themes-extra-data.
  * d/rules: Depend on phoc >= 0.4.0.
    While we can run with older versions this makes sure people
    pull in a recent enough version for all the feaures.
  * d/rules: Turn off compositor based tests.
    They don't run on buster and we need phoc releases
    for newer versions so we can toggle this on later.

  [ Arnaud Ferraris ]
  * New upstream release 0.4.1
  * d/copyright: add entries for libgnome-volume-control.
    As we provide libgnome-volume-control's source code as a checked out
    subproject, we must provide copyright information for its files too.
  * d/control: drop all references to phoc
    Phoc is not yet in Debian's main archive, so we can't depend on or
    recommend it.
    This will be reverted when phoc gets accepted to unstable.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 22 Jul 2020 11:28:59 +0200

phosh (0.3.1-2) unstable; urgency=medium

  * debian: build phosh-doc package

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 01 Jul 2020 12:37:12 +0200

phosh (0.3.1-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * Trim trailing whitespace.
    Fixes: lintian: file-contains-trailing-whitespace
  * Set upstream metadata fields: Repository.
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-repository
  * Bump debhelper compat version
  * Add Rules-Requires-Root: no

  [ Guido Günther ]
  * debian: Add phoc-doc
    This makes the documentation useable via devhelp.

  [ Arnaud Ferraris ]
  * debian: add salsa-ci
  * d/patches: drop upstreamed 0001-src-fix-typos.patch
  * d/control: Switch maintainer to team address
  * debian: don't build phosh-doc for now
  * d/upstream: add missing metadata fields
    Fixes: lintian: upstream-metadata-missing-bug-tracking

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 24 Jun 2020 11:52:02 +0200

phosh (0.2.2-1) unstable; urgency=medium

  * Initial Debian release (Closes: #907641)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 15 Apr 2020 18:50:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: phosh
 Section: x11
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
+ gtk-doc-tools,
  libsecret-1-dev,
+ libfeedback-dev,
  libgcr-3-dev,
  libgnome-desktop-3-dev,
  libgtk-3-dev,
@@ -18,10 +21,15 @@
  meson,
 # to run the tests
  at-spi2-core,
+ gnome-themes-extra-data,
+ phoc,
  xvfb,
  xauth,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://source.puri.sm/Librem5/phosh
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git
 
 Package: phosh
 Architecture: any
@@ -30,9 +38,14 @@
  ${shlibs:Depends},
  fonts-lato,
  gsettings-desktop-schemas,
+ phoc (>= 0.4.0),
 Recommends:
- gnome-session,
- phoc,
+ feedbackd,
+ gnome-session-bin,
+ gnome-session-common,
+ gnome-settings-daemon,
+ iio-sensor-proxy,
+ squeekboard | phosh-osk-stub,
 Provides:
  notification-daemon,
  polkit-1-auth-agent,
@@ -46,7 +59,7 @@
   * acting as a polkit auth agent
   * enough of org.gnome.Mutter.DisplayConfig to make gnome-settings-daemon happy
   * a homebutton that toggles a simple favorites menu
-  * status icons for battery, wwan and wifi
+  * status icons for battery, WWAN and Wi-Fi
  .
  If you're not working on a Wayland compositor then this package is likely not
  very useful for you.
@@ -56,8 +69,17 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts:
- librem5-base
-Description: OSK stub to fulfil session dependencies
+Description: OSK stub to fulfill session dependencies
  Phosh's session wants a sm.puri.OSK0. For testing on non-phone's
  this stub fulfills the necessary dependencies.
+
+Package: phosh-doc
+Architecture: all
+Section: doc
+Depends:
+ ${misc:Depends},
+Description: Pure Wayland shell for mobile devices - development documentation
+ Phosh is a simple shell for Wayland compositors speaking the layer-surface
+ protocol.
+ .
+ This package contains the development documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Can be turned on bullseye upwards
PHOC_TESTS="disabled"

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true -Dphoc_tests=${PHOC_TESTS}

override_dh_installsystemd:
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LC_ALL=C.UTF-8 xvfb-run -a ninja -C _build test
endif

## phosh 0.8.0

=== meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('phoc_tests',
       type: 'feature', value: 'auto',
       description: 'Whether to enable tests that need phoc')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Handy')

=== debian/changelog ===
phosh (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * d/gbp.conf: Include submodule automatically.
    This makes `gbp export-orig` work out of the box when creating the
    upstream tarball since it includes the gvc submodule.
  * Build-depend libsystemd-dev.
    Needed for logind support
  * debian: Pick phosh.service from data/ for less downstream chanegs
  * debian: Pick schema overrides from data/ for less downstream changes

 -- Guido Günther <agx@sigxcpu.org>  Tue, 19 Jan 2021 10:34:47 +0100

phosh (0.7.1-1) unstable; urgency=medium

  * New upsetream version 0.7.1
  * Drop patches
    all applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 18 Dec 2020 17:09:01 +0100

phosh (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 15 Dec 2020 09:56:24 +0100

phosh (0.6.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/control: Update package description.
  * debian: Bump libhandy build-dependency to 1.0.2.
    We need the fixes there for the overview.

  [ Arnaud Ferraris ]
  * New upstream version 0.6.0
  * d/control: fix typos in descriptions

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 16 Nov 2020 10:52:55 +0100

phosh (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 05 Nov 2020 14:47:48 +0100

phosh (0.5.0-2) unstable; urgency=medium

  * debian: Depend on gnome-shell-common.  We use that schema for the
    keybindings. (Closes: #973350)
  * schema override: Drop button-layout. Phosh toggles this automatically now.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Oct 2020 11:11:38 +0100

phosh (0.5.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * debian: Support nodoc build profile.
  * d/control: Depend on phoc that doesn't crash when unbinding keyboard grabs.

  [ Arnaud Ferraris ]
  * New upstream version 0.5.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 28 Oct 2020 11:34:57 +0100

phosh (0.4.5-2) unstable; urgency=medium

  * phosh-tweaks: Enable screen keyboard by default.
    This is needed by squeekboard 1.10.0.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Oct 2020 16:21:50 +0200

phosh (0.4.5-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/phosh.service: Set XDG_CURRENT_DESKTOP.
    Do it here until we run a display manager.
  * d/control: Add doc packages.
    Needed to get the cross references right

  [ Arnaud Ferraris ]
  * New upstream version 0.4.5

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sun, 11 Oct 2020 19:01:55 +0200

phosh (0.4.4-1) unstable; urgency=medium

   [ Guido Günther ]
  * d/rules: Work around failed doc build on install.
    This works around a problem where an invocation
    of `meson-install` does not generate all docs. See
    https://github.com/mesonbuild/meson/issues/2831
  * debian: Build-depend on pandoc for the deb build.
  * debian: Install all phosh related schema files.
    Otherwise we lack the enums and fail to start
  * d/control: Bump libhandy dependency to 1.0.

  [ Arnaud Ferraris ]
  * New upstream release 0.4.4
  * d/patches: remove upstreamed patch
  * d/control: add ${misc:Depends} to phosh-mobile-tweaks
    Fixes: lintian: debhelper-but-no-misc-depends

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 21 Sep 2020 10:35:30 +0200

phosh (0.4.3-3) unstable; urgency=medium

  * salsa-ci: Fetch submodule.
    This makes sure we have gvc available
  * d/copyright: Drop duplicate match
    src/gtk-list-models/gtksortlistmodel.* is correctly covered
    by the entry above.
  * d/changelog: Fix src/gtk-list-models/gtkrbtree.* license.
    The files are LGPL2+ according to their file header.
  * d/gbp.conf: Drop 'v' from Debian version number.
    Debian version numbers usually use the plain
    `debian/<number>-<revision>'.
  * Add mobile tweaks.
    This adds GSettings overrides to properly configure phosh
    and applictions in adaptive environments.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Aug 2020 09:15:23 +0200

=== debian/control ===
Source: phosh
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 gtk-doc-tools <!nodoc>,
 libsecret-1-dev,
 libsystemd-dev,
 libfeedback-dev,
 libgcr-3-dev,
 libglib2.0-doc <!nodoc>,
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 libgtk-3-doc <!nodoc>,
 libhandy-1-dev (>= 1.0.2),
 libnm-dev,
 libpam0g-dev,
 libpolkit-agent-1-dev,
 libpulse-dev,
 libupower-glib-dev,
 libwayland-dev,
 meson,
 pandoc <!nodoc>,
# to run the tests
 at-spi2-core,
 gnome-themes-extra-data,
 phoc,
 xvfb,
 xauth,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://source.puri.sm/Librem5/phosh
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git

Package: phosh
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fonts-lato,
 gnome-shell-common,
 gsettings-desktop-schemas,
 phoc (>= 0.4.4),
Recommends:
 feedbackd,
 gnome-session-bin,
 gnome-session-common,
 gnome-settings-daemon,
 iio-sensor-proxy,
 phosh-mobile-tweaks,
 squeekboard | phosh-osk-stub,
Provides:
 notification-daemon,
 polkit-1-auth-agent,
Description: Pure Wayland shell for mobile devices
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 It's part of the Phosh Mobile Environment based on GNOME/GTK. For the full
 stack see the phosh-full and phosh-core metapackages.

Package: phosh-osk-stub
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: OSK stub to fulfill session dependencies
 Phosh's session wants a sm.puri.OSK0. For testing on non-phone's
 this stub fulfills the necessary dependencies.

Package: phosh-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: Pure Wayland shell for mobile devices - development documentation
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development documentation.

Package: phosh-mobile-tweaks
Architecture: all
Depends:
 ${misc:Depends},
 dconf-gsettings-backend | gsettings-backend,
Description: Pure Wayland shell for mobile devices - GSettings tweaks
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains settings to improve behaviour on mobile devices.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS=-Dphoc_tests=disabled

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_OPTS+=-Dgtk_doc=true
else
  CONFIGURE_OPTS+=-Dgtk_doc=false
endif

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	# https://github.com/mesonbuild/meson/pull/2862
	ninja -C _build/ phosh-doc
endif

override_dh_installsystemd:
	rm -f debian/phosh.service ; cp data/phosh.service debian/phosh.service
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LC_ALL=C.UTF-8 xvfb-run -a ninja -C _build test
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/phosh.*\.tar\.gz/phosh-$1\.tar\.gz/g \
  https://source.puri.sm/Librem5/phosh/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## phosh 0.10.1

=== debian/changelog ===
phosh (0.10.1-1pureos1~amber1) amber-phone; urgency=medium

  * Backport to amber-phone
  * Rediff patches
  * rotation-manager: Adjust to wlroots 0.10.0
  * Use int levels for osd
    g-s-d < 3.34 used int instead of double. Otherwise the progress
    bar remains just blank.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 13 Apr 2021 11:11:00 +0200

phosh (0.10.1-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Mon, 12 Apr 2021 12:02:04 +0200

phosh (0.10.1-1) experimental; urgency=medium

  * New upstream version 0.10.1

 -- Guido Günther <agx@sigxcpu.org>  Mon, 12 Apr 2021 11:17:01 +0200

phosh (0.10.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 Mar 2021 17:46:10 +0200

phosh (0.10.0-1) experimental; urgency=medium

  * New upstream version 0.10.0

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 Mar 2021 17:00:22 +0200

phosh (0.9.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Wed, 03 Mar 2021 10:29:53 +0100

phosh (0.9.0-1) experimental; urgency=medium

  * New upstream version 0.9.0
  * d/control: Require libhandy >= 1.1.90
  * Clean d/phosh.service
  * salsa-ci: Build against experimental.
    We need that for newer libhandy

 -- Guido Günther <agx@sigxcpu.org>  Wed, 03 Mar 2021 09:53:01 +0100

phosh (0.8.1-1pureos1~amber1) amber-phone; urgency=medium

  * Backport to amber-phone

 -- Guido Günther <agx@sigxcpu.org>  Tue, 16 Feb 2021 09:38:21 +0100

phosh (0.8.1-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Fri, 12 Feb 2021 20:18:41 +0100

phosh (0.8.1-1) experimental; urgency=medium

  * New upstream version 0.8.1

 -- Guido Günther <agx@sigxcpu.org>  Fri, 12 Feb 2021 17:42:03 +0100

phosh (0.8.0-1pureos1~amber0) amber-phone; urgency=medium

  * Upload to amber-phone
  * Fix up rotation with wlroots 0.10.0
  * Add Breaks: for keygrabbing API against g-s-d not g-c-c
    since the former uses the DBus API.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 19 Jan 2021 15:02:32 +0100

phosh (0.8.0-1pureos0) byzantium; urgency=medium

  * Upload to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Tue, 19 Jan 2021 12:51:35 +0100

phosh (0.7.1-1pureos1) byzantium; urgency=medium

  * Switch distribution to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Sat, 19 Dec 2020 13:26:47 +0100

phosh (0.7.1-1pureos0~amber0) amber-phone; urgency=medium

  * Backport to amber-phone
  * Run ci against bullseye
  * Use debhelper 12
  * Add breaks on g-c-c without old keygrabbing API

 -- Guido Günther <agx@sigxcpu.org>  Sat, 19 Dec 2020 13:05:07 +0100

phosh (0.7.1-1pureos0) byzantium; urgency=medium

  * debian: Add librem5-ci
  * debian/gbp.conf: Adjust for byzantium
  * d/librem5-ci.yml: Switch to bullseye.
    Will switch to byzantium+landing once there
  * d/phosh.service: Update.
    Since we import via gbp-import-ref changes in debian/ aren't
    reflected.
  * Build-depend libsystemd-dev.
    Needed for logind support
  * d/control: Set maintainer address to PureOS maintiners

 -- Guido Günther <agx@sigxcpu.org>  Sat, 19 Dec 2020 12:21:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: phosh
 Section: x11
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
+Maintainer: PureOS Maintainers <pureos-project@puri.sm>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  gtk-doc-tools <!nodoc>,
  libsecret-1-dev,
  libsystemd-dev,
@@ -14,7 +13,7 @@
  libgnome-desktop-3-dev,
  libgtk-3-dev,
  libgtk-3-doc <!nodoc>,
- libhandy-1-dev (>= 1.0.2),
+ libhandy-1-dev (>= 1.1.90),
  libnm-dev,
  libpam0g-dev,
  libpolkit-agent-1-dev,
@@ -55,6 +54,11 @@
 Provides:
  notification-daemon,
  polkit-1-auth-agent,
+Breaks:
+  gnome-settings-daemon (<< 3.30.3~pureos),
+  gnome-settings-daemon (>> 3.34),
+  libwlroots7,
+  libwlroots8,
 Description: Pure Wayland shell for mobile devices
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch

## phosh 0.13.1

=== meson_options.txt ===
--- 
+++ 
@@ -8,4 +8,17 @@
 
 option('gtk_doc',
        type: 'boolean', value: false,
-       description: 'Whether to generate the API reference for Handy')
+       description: 'Whether to generate the API reference for Phosh')
+
+option('systemd',
+       type: 'boolean', value: false,
+       description: 'Whether to generate systemd user units')
+
+option('compositor',
+       type: 'string', value: '/usr/bin/phoc',
+       description: 'Path to the Phoc compositor for use in the launcher script')
+
+# For some tests we need (unreleased) glib >= 2.69
+option('g_tests',
+       type: 'boolean', value: false,
+       description: 'Whether to build tests that require recent glib')

=== debian/changelog ===
phosh (0.13.1-1) unstable; urgency=medium

  * New usptream version 0.13.1
  * Upload to unstable
  * Add Breaks: on older GTK.  With older GTK calls and phosh would block on
    each other on startup.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Aug 2021 14:52:10 +0200

phosh (0.13.0-1) UNRELEASED; urgency=medium

  [ Guido Günther ]
  * debian: Add breaks relationship on older calls.
    This makes sure calls we don't try to run against a calls without
    the DBus interface.
  * d/control: Bump phoc recommends.
    Recommend a version that allows us to bind all the interesting
    keys.
  * d/control: Bump breaks on gnome-calls.
    Not strictly necessary but makes missing deps easier to detect.

  [ Arnaud Ferraris ]
  * New upstream version 0.13.0
  * d/control: add build dependency on libgudev.
    This is required by the new torch manager implementation.
  * d/control: drop duplicate Homepage field
  * d/control: drop Build-Depends on linux-libc-dev.
    This is a downstream change, causing the arm64 build to fail on Debian
    as our most recent kernel is 5.10.x.
  * d/watch: update to reflect migration to GNOME infrastructure

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Tue, 10 Aug 2021 11:17:12 +0200

phosh (0.12.0-1) experimental; urgency=medium

  * New usptream version 0.12.0
  * d/control: Bump phoc version.
    Recommend a version that has allows to bind all the needed keys.
  * d/control: Add breaks on older calls.
    We want a version that has the DBus interface

 -- Guido Günther <agx@sigxcpu.org>  Wed, 30 Jun 2021 11:52:38 +0200

phosh (0.11.0-1) experimental; urgency=medium

  * New upstream version 0.11.0
  * Use non-systemd mode for now.
    Stick with gnome-session's builtin session management for the moment.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 May 2021 10:59:33 +0200

phosh (0.10.2-1) experimental; urgency=medium

  * New upstream version 0.10.2

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Apr 2021 15:32:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: phosh
 Section: x11
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@puri.sm>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gtk-doc-tools <!nodoc>,
+ libcallaudio-dev,
  libsecret-1-dev,
  libsystemd-dev,
  libfeedback-dev,
@@ -13,6 +15,7 @@
  libgnome-desktop-3-dev,
  libgtk-3-dev,
  libgtk-3-doc <!nodoc>,
+ libgudev-1.0-dev,
  libhandy-1-dev (>= 1.1.90),
  libnm-dev,
  libpam0g-dev,
@@ -23,14 +26,18 @@
  meson,
  pandoc <!nodoc>,
 # to run the tests
- at-spi2-core,
- gnome-themes-extra-data,
- phoc,
- xvfb,
- xauth,
+ at-spi2-core <!nocheck>,
+ dbus-x11 <!nocheck>,
+ gnome-settings-daemon-common <!nocheck>,
+ gnome-shell-common <!nocheck>,
+ gnome-themes-extra-data <!nocheck>,
+ gsettings-desktop-schemas <!nocheck>,
+ phoc <!nocheck>,
+ xvfb <!nocheck>,
+ xauth <!nocheck>,
 Standards-Version: 4.5.0
+Homepage: https://gitlab.gnome.org/World/Phosh/phosh/
 Rules-Requires-Root: no
-Homepage: https://source.puri.sm/Librem5/phosh
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git
 
@@ -42,7 +49,7 @@
  fonts-lato,
  gnome-shell-common,
  gsettings-desktop-schemas,
- phoc (>= 0.4.4),
+ phoc (>= 0.7.1),
 Recommends:
  feedbackd,
  gnome-session-bin,
@@ -55,10 +62,8 @@
  notification-daemon,
  polkit-1-auth-agent,
 Breaks:
-  gnome-settings-daemon (<< 3.30.3~pureos),
-  gnome-settings-daemon (>> 3.34),
-  libwlroots7,
-  libwlroots8,
+ gnome-calls (<< 41~alpha),
+ libgtk-3-0 (<< 3.24.30),
 Description: Pure Wayland shell for mobile devices
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIGURE_OPTS=-Dphoc_tests=disabled
+CONFIGURE_OPTS=-Dphoc_tests=disabled -Dsystemd=false
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
   CONFIGURE_OPTS+=-Dgtk_doc=true

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/phosh.*\.tar\.gz/phosh-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/Phosh/phosh/-/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## phosh 0.17.0

=== meson_options.txt ===
--- 
+++ 
@@ -18,7 +18,11 @@
        type: 'string', value: '/usr/bin/phoc',
        description: 'Path to the Phoc compositor for use in the launcher script')
 
-# For some tests we need (unreleased) glib >= 2.69
-option('g_tests',
+option('callui-i18n',
        type: 'boolean', value: false,
-       description: 'Whether to build tests that require recent glib')
+       description: 'Whether to install libcallui\s i18n fles')
+
+# Tools helping with e.g. notification server development
+option('tools',
+       type: 'boolean', value: false,
+       description: 'Whether to build the tools')

=== debian/changelog ===
phosh (0.17.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * New upstream release
  * Revert "quick-settings: Follow g-c-c to Settings rename"
    Can be / needs to be dropped once GNOME Settings 42 enters unstable.
  * d/control: Bump glib build dependency to 2.72.0.  This makes sure we also
    get a recent enough dependency for splash to work in most situations (to
    make it fully work we either need to patch wlroots or update phoc to use
    wlroots 0.15.0).

 -- Guido Günther <agx@sigxcpu.org>  Fri, 25 Mar 2022 11:13:15 +0100

phosh (0.16.0-1) experimental; urgency=medium

  * New upstream release 0.16.0
  * Drop phosh-osk-stub.
    It's not shipped with the phosh sources anymore.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 25 Feb 2022 14:09:10 +0100

phosh (0.15.0-1) experimental; urgency=medium

  * New upstream release 0.15.0
  * d/rules: Enable osk-stub.
    It's useful for debugging and used as a stub on platforms
    with Rust issues.
  * d/not-installed: Drop, now handled via meson option.
    This makes us fail properly if we install libcall-ui
    translations by accident.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Jan 2022 15:18:23 +0100

phosh (0.14.1-2) experimental; urgency=medium

  * d/phosh.install: Avoid file conflict with calls.
    Both embed libcall-ui but only one should ship the localization files.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 Dec 2021 14:47:08 +0100

phosh (0.14.1-1) experimental; urgency=medium

  [ Guido Günther ]
  * Bring over HdyKeypad from libhandy 1.2.2.
  * debian: Don't install libcallui translations.
  * d/copyright: Flip sections.

  [ Arnaud Ferraris ]
  * New usptream version 0.14.1

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Mon, 06 Dec 2021 12:33:05 +0100

phosh (0.14.0-1) experimental; urgency=medium

  * Upload to experimental until the wlroots/phoc dust has settled
  * d/control: Depend on phoc >= 0.9.0.
    This one supports '-S' to wait for the shell.
  * d/rules: Use meson to run the tests.
    Also ignore the manual tests.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 28 Oct 2021 14:45:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  libsystemd-dev,
  libfeedback-dev,
  libgcr-3-dev,
+ libglib2.0-dev (>= 2.72.0),
  libglib2.0-doc <!nodoc>,
  libgnome-desktop-3-dev,
  libgtk-3-dev,
@@ -49,7 +50,7 @@
  fonts-lato,
  gnome-shell-common,
  gsettings-desktop-schemas,
- phoc (>= 0.7.1),
+ phoc (>= 0.9.0),
 Recommends:
  feedbackd,
  gnome-session-bin,
@@ -57,7 +58,7 @@
  gnome-settings-daemon,
  iio-sensor-proxy,
  phosh-mobile-tweaks,
- squeekboard | phosh-osk-stub,
+ squeekboard
 Provides:
  notification-daemon,
  polkit-1-auth-agent,
@@ -71,15 +72,6 @@
  .
  It's part of the Phosh Mobile Environment based on GNOME/GTK. For the full
  stack see the phosh-full and phosh-core metapackages.
-
-Package: phosh-osk-stub
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: OSK stub to fulfill session dependencies
- Phosh's session wants a sm.puri.OSK0. For testing on non-phone's
- this stub fulfills the necessary dependencies.
 
 Package: phosh-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,6 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	LC_ALL=C.UTF-8 xvfb-run -a ninja -C _build test
+	LC_ALL=C.UTF-8 xvfb-run -a meson test -C _build --no-suite manual
 endif

=== debian/watch ===
version=4
https://download.gnome.org/sources/phosh/([\d\.]+)/ \
	phosh@ANY_VERSION@\.tar\.xz

## phosh 0.21.1

=== debian/changelog ===
phosh (0.21.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop all patches
  * Bump standards version.
    No changes needed.
  * d/phosh.lintian-overrides: Adjust format.
    Add the binary package to match lintian's expectations

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Sep 2022 13:39:30 +0200

phosh (0.21.0-2) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Recommend phosh-plugins
  * d/patches: Don't use deprecated G_REGEX_JAVASCRIPT_COMPAT

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 23 Sep 2022 10:31:19 +0200

phosh (0.21.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Install upcoming events plugin
  * d/control: Recommend slurp for better screenshot support

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Sep 2022 11:52:48 +0200

phosh (0.20.0-2) unstable; urgency=medium

  * Team upload.
  [ Guido Günther ]
  * d/control: Raise phoc dependency.
    We want the renamed 0.21.0+ds1 tarball as the 0.21.0 one lacks the
    rotation fixes.
  * Add package for phosh plugins.
    It will only contain a single plugin for now but
    there will be more with upcoming releases.

  [ Evangelos Ribeiro Tzaras ]
  * Mark phosh-doc as Multi-Arch: foreign (was all)
  * Update copyright

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Aug 2022 11:30:57 +0200

phosh (0.20.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Aug 2022 16:14:17 +0200

phosh (0.20.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Upload to experimental
  * Bump phoc runtime dependency to 0.21.0

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Aug 2022 12:52:59 +0200

phosh (0.20.0~beta3-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental
  * New upstream release
  * Install icon
  * Handle modules.
    Make sure gio-querymodules knows about possible modules.
  * Don't install example plugin.
    It's not very useful and would trigger new processing

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 Jul 2022 16:27:28 +0200

phosh (0.20.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental
  * New upstream release
  * d/control: Bump phoc runtime dependency.
    This makes sure the top-bar switching layers works.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Jun 2022 11:30:44 +0200

phosh (0.20.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental
  * New upstream release
  * d/control: Bump phoc dependency.
    We need at least 0.20.0 for the gesture support.
  * Update watch and gbp.conf to handle beta versions

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Jun 2022 12:44:20 +0200

phosh (0.17.0-2) unstable; urgency=medium

  * d/patches: Drop all patches.
    We can use the new DBus name now that g-c-c 42 is in unstable.
    This reverts commit b5e2f983df5113e4836943405c13b843939c1394.
  * d/control: Add breaks on older g-c-c.
    Version 42 changes DBus name so we want to make sure we're being
    used with at least this version.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Apr 2022 20:50:17 +0200

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,9 @@
  libwayland-dev,
  meson,
  pandoc <!nodoc>,
+# for the plugins
+ libecal2.0-dev,
+ evolution-data-server-dev,
 # to run the tests
  at-spi2-core <!nocheck>,
  dbus-x11 <!nocheck>,
@@ -33,10 +36,10 @@
  gnome-shell-common <!nocheck>,
  gnome-themes-extra-data <!nocheck>,
  gsettings-desktop-schemas <!nocheck>,
- phoc <!nocheck>,
+ phoc (>= 0.20.0) <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.gnome.org/World/Phosh/phosh/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
@@ -50,7 +53,7 @@
  fonts-lato,
  gnome-shell-common,
  gsettings-desktop-schemas,
- phoc (>= 0.9.0),
+ phoc (>= 0.21.0+ds1),
 Recommends:
  feedbackd,
  gnome-session-bin,
@@ -58,12 +61,15 @@
  gnome-settings-daemon,
  iio-sensor-proxy,
  phosh-mobile-tweaks,
- squeekboard
+ phosh-plugins,
+ slurp,
+ squeekboard,
 Provides:
  notification-daemon,
  polkit-1-auth-agent,
 Breaks:
  gnome-calls (<< 41~alpha),
+ gnome-control-center (<< 42),
  libgtk-3-0 (<< 3.24.30),
 Description: Pure Wayland shell for mobile devices
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
@@ -75,6 +81,7 @@
 
 Package: phosh-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Build-Profiles: <!nodoc>
 Depends:
@@ -97,3 +104,17 @@
  based inputs and small screens.
  .
  This package contains settings to improve behaviour on mobile devices.
+
+Package: phosh-plugins
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gsettings-desktop-schemas,
+ phoc (>= 0.13.1),
+Description: Pure Wayland shell for mobile devices - Plugins
+ Phosh is a graphical shell for Wayland compositors speaking the layer-surface
+ protocol and aimed at mobile devices like smart phones and tablets using touch
+ based inputs and small screens.
+ .
+ This package contains additional plugins.

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,15 @@
 	ninja -C _build/ phosh-doc
 endif
 
+override_dh_auto_install:
+	set -e; for script in postinst postrm triggers; do \
+                sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
+                    -e"s/#ARCH#/$(DEB_HOST_ARCH)/g" \
+                    debian/phosh.$$script.in \
+                    > debian/phosh.$$script ; \
+        done
+	dh_auto_install
+
 override_dh_installsystemd:
 	rm -f debian/phosh.service ; cp data/phosh.service debian/phosh.service
 	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

## phosh 0.24.0

=== meson_options.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
 option('gtk_doc',
        type: 'boolean', value: false,
        description: 'Whether to generate the API reference for Phosh')
+
+option('man',
+       type: 'boolean', value : false,
+       description : 'generate man pages (requires rst2man)')
 
 option('systemd',
        type: 'boolean', value: false,
@@ -26,3 +30,7 @@
 option('tools',
        type: 'boolean', value: false,
        description: 'Whether to build the tools')
+
+option('lockscreen-plugins',
+       type: 'boolean', value: 'true',
+       description: 'Whether to build the lockscreen plugins')

=== debian/changelog ===
phosh (0.24.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build and install manpages
  * Drop lintian override. Phosh has a manpage now
  * d/rules: Avoid building tests with DEB_BUILD_OPTIONS=nocheck.
    We already skip the tests, so no need to build them.
  * Adjust to upstream name change
  * Update test dependencies
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Feb 2023 20:43:09 +0100

phosh (0.23.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop all patches.
    They all were cherry-picks and are contained in the new upstream
    version.
  * d/control: Allow phosh-osk-stub to fulfill the OSK dependency
    squeekboard is default but this allows systems that lack recent
    rust to still pull in a working OSK.
  * Switch to gi-docgen
  * Build and install preference plugins

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Dec 2022 13:42:09 +0100

phosh (0.22.0-2) experimental; urgency=medium

  * Upload to experimental
  * Add a phosh-dev package with headers and pkgconfig.
    This can be used by phosh-mobile-settings and out-of-tree plugins.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 Dec 2022 20:15:24 +0100

phosh (0.22.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Update build-dependencies
  * debian: Use relative paths for install files.
    Just for consistency
  * Pick up schemas for plugins as well.
    For that we have to be more strict when picking
    up phosh's schema.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Nov 2022 17:29:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- gtk-doc-tools <!nodoc>,
+ gi-docgen <!nodoc>,
+ libadwaita-1-dev,
  libcallaudio-dev,
+ libevince-dev,
  libsecret-1-dev,
  libsystemd-dev,
  libfeedback-dev,
  libgcr-3-dev,
  libglib2.0-dev (>= 2.72.0),
- libglib2.0-doc <!nodoc>,
  libgnome-desktop-3-dev,
  libgtk-3-dev,
- libgtk-3-doc <!nodoc>,
+ libgtk-4-dev,
  libgudev-1.0-dev,
  libhandy-1-dev (>= 1.1.90),
  libnm-dev,
@@ -25,7 +26,7 @@
  libupower-glib-dev,
  libwayland-dev,
  meson,
- pandoc <!nodoc>,
+ python3-docutils <!nodoc>,
 # for the plugins
  libecal2.0-dev,
  evolution-data-server-dev,
@@ -36,10 +37,12 @@
  gnome-shell-common <!nocheck>,
  gnome-themes-extra-data <!nocheck>,
  gsettings-desktop-schemas <!nocheck>,
- phoc (>= 0.20.0) <!nocheck>,
+ gtk-4-examples <!nocheck>,
+ librsvg2-common <!nocheck>,
+ phoc (>= 0.23.0) <!nocheck>,
+ xauth <!nocheck>,
  xvfb <!nocheck>,
- xauth <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/World/Phosh/phosh/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
@@ -63,7 +66,7 @@
  phosh-mobile-tweaks,
  phosh-plugins,
  slurp,
- squeekboard,
+ squeekboard | phosh-osk-stub,
 Provides:
  notification-daemon,
  polkit-1-auth-agent,
@@ -118,3 +121,15 @@
  based inputs and small screens.
  .
  This package contains additional plugins.
+
+Package: phosh-dev
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Pure Wayland shell for mobile devices - development files
+ Phosh is a graphical shell for Wayland compositors speaking the layer-surface
+ protocol and aimed at mobile devices like smart phones and tablets using touch
+ based inputs and small screens.
+ .
+ This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,15 @@
 CONFIGURE_OPTS=-Dphoc_tests=disabled -Dsystemd=false
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-  CONFIGURE_OPTS+=-Dgtk_doc=true
+  CONFIGURE_OPTS+=-Dgtk_doc=true -Dman=true
 else
-  CONFIGURE_OPTS+=-Dgtk_doc=false
+  CONFIGURE_OPTS+=-Dgtk_doc=false -Dman=false
+endif
+
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+  CONFIGURE_OPTS+=-Dtests=true
+else
+  CONFIGURE_OPTS+=-Dtests=false
 endif
 
 %:
@@ -15,13 +21,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_OPTS)
-
-override_dh_auto_build:
-	dh_auto_build
-ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-	# https://github.com/mesonbuild/meson/pull/2862
-	ninja -C _build/ phosh-doc
-endif
 
 override_dh_auto_install:
 	set -e; for script in postinst postrm triggers; do \

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/phosh/([\d\.]+.*)/ \
	phosh@ANY_VERSION@\.tar\.xz
